GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment Class Reference

## Public Member Functions
List< String > | getShipmentReference ()
String | getNote1 ()
void | setNote1 (String value)
String | getNote2 ()
void | setNote2 (String value)
String | getIdentifier ()
void | setIdentifier (String value)
String | getMiddleware ()
void | setMiddleware (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
Consignee | getPickUp ()
void | setPickUp (Consignee value)
Shipper | getDelivery ()
void | setDelivery (Shipper value)
Return | getReturn ()
void | setReturn (Return value)
List< CreateReturnService > | getService ()

## Protected Attributes
List< String > | shipmentReference
String | note1
String | note2
String | identifier
String | middleware
String | partnerParcelNumber
Consignee | pickUp
Shipper | delivery
Return | _return
List< CreateReturnService > | service

## Detailed Description

Shipment attributes

Java class for ReturnShipment complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ReturnShipment">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="Note1" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Note" minOccurs="0"/>
            <element name="Note2" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Note" minOccurs="0"/>
            <element name="Identifier" type="{http://fpcs.gls-group.eu/v1/Common}ShipmentIdentifier" minOccurs="0"/>
            <element name="Middleware" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="PickUp" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Consignee" minOccurs="0"/>
            <element name="Delivery" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Shipper"/>
            <element name="Return" type="{http://fpcs.gls-group.eu/v1/Common}Return" minOccurs="0"/>
            <element name="Service" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}CreateReturnService" maxOccurs="unbounded"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 57 of file ReturnShipment.java.

## Member Function Documentation

## ◆ getDelivery()

Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getDelivery | ( |  | ) |

Gets the value of the delivery property.

Returns
  possible object is Shipper

Definition at line 261 of file ReturnShipment.java.

## ◆ getIdentifier()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getIdentifier | ( |  | ) |

Gets the value of the identifier property.

Returns
  possible object is String

Definition at line 165 of file ReturnShipment.java.

## ◆ getMiddleware()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getMiddleware | ( |  | ) |

Gets the value of the middleware property.

Returns
  possible object is String

Definition at line 189 of file ReturnShipment.java.

## ◆ getNote1()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getNote1 | ( |  | ) |

Gets the value of the note1 property.

Returns
  possible object is String

Definition at line 117 of file ReturnShipment.java.

## ◆ getNote2()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getNote2 | ( |  | ) |

Gets the value of the note2 property.

Returns
  possible object is String

Definition at line 141 of file ReturnShipment.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 213 of file ReturnShipment.java.

## ◆ getPickUp()

Consignee eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getPickUp | ( |  | ) |

Gets the value of the pickUp property.

Returns
  possible object is Consignee

Definition at line 237 of file ReturnShipment.java.

## ◆ getReturn()

Return eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getReturn | ( |  | ) |

Gets the value of the return property.

Returns
  possible object is Return

Definition at line 285 of file ReturnShipment.java.

## ◆ getService()

List<CreateReturnService> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list CreateReturnService

Definition at line 323 of file ReturnShipment.java.

## ◆ getShipmentReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 102 of file ReturnShipment.java.

## ◆ setDelivery()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setDelivery | ( | Shipper | value | ) |

Sets the value of the delivery property.

Parameters

  value | allowed object is Shipper

Definition at line 273 of file ReturnShipment.java.

## ◆ setIdentifier()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setIdentifier | ( | String | value | ) |

Sets the value of the identifier property.

Parameters

  value | allowed object is String

Definition at line 177 of file ReturnShipment.java.

## ◆ setMiddleware()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setMiddleware | ( | String | value | ) |

Sets the value of the middleware property.

Parameters

  value | allowed object is String

Definition at line 201 of file ReturnShipment.java.

## ◆ setNote1()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setNote1 | ( | String | value | ) |

Sets the value of the note1 property.

Parameters

  value | allowed object is String

Definition at line 129 of file ReturnShipment.java.

## ◆ setNote2()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setNote2 | ( | String | value | ) |

Sets the value of the note2 property.

Parameters

  value | allowed object is String

Definition at line 153 of file ReturnShipment.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 225 of file ReturnShipment.java.

## ◆ setPickUp()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setPickUp | ( | Consignee | value | ) |

Sets the value of the pickUp property.

Parameters

  value | allowed object is Consignee

Definition at line 249 of file ReturnShipment.java.

## ◆ setReturn()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.setReturn | ( | Return | value | ) |

Sets the value of the return property.

Parameters

  value | allowed object is Return

Definition at line 297 of file ReturnShipment.java.

## Member Data Documentation

## ◆ _return

Return eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment._return
| protected

Definition at line 76 of file ReturnShipment.java.

## ◆ delivery

Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.delivery
| protected

Definition at line 74 of file ReturnShipment.java.

## ◆ identifier

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.identifier
| protected

Definition at line 66 of file ReturnShipment.java.

## ◆ middleware

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.middleware
| protected

Definition at line 68 of file ReturnShipment.java.

## ◆ note1

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.note1
| protected

Definition at line 62 of file ReturnShipment.java.

## ◆ note2

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.note2
| protected

Definition at line 64 of file ReturnShipment.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.partnerParcelNumber
| protected

Definition at line 70 of file ReturnShipment.java.

## ◆ pickUp

Consignee eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.pickUp
| protected

Definition at line 72 of file ReturnShipment.java.

## ◆ service

List<CreateReturnService> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.service
| protected

Definition at line 78 of file ReturnShipment.java.

## ◆ shipmentReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ReturnShipment.shipmentReference
| protected

Definition at line 60 of file ReturnShipment.java.

The documentation for this class was generated from the following file:

- ReturnShipment.java